Help Index

Guide Infrared Image Analysis System Help Index

Image commands

File menu

Image menu

Filters menu

Measure menu

View menu

Window menu

Help menu

Operation on measure object

Video processing commands

File menu

Video menu

Measure menu

View menu

Window menu

Help menu

Toolbar

Toolbar commands

Report commands

Report commands


有什么新功能

Version 1.6 Modified parts

1. Add polygon line analysis function.

2. Add combination object.

3. Add or reduce node on polygon line or polygon.

Version 1.5 Modified parts

Support IR130 temperature measurement

Version l.4 (2005.7.20) Modified parts

1. Add irLike module: view thumbnail IRI or IMG image directly from Windows operating system.

2. Amend M4 transmission module: improve transmission speed, drive programme needed.

3. Optimize interior structure of programme: quicken display speed.

4. Visual image and thermal image display on top of the interface simultaneously or zoom out simultaneously.

5. Add image filter function.

6. Solve the problem: voice annotation on IR928+ can be replayed correctly now.

7. Add thermometric scale window: easy to view image.

8. Amend method of adding operating object: add shortcut key.

Version 1.33 Add new Function

1. Unlimited image zoom function, graphics and image zoom at the same time. Slid the mouse for quick zoom and shink

2. Add Isotherm function

3. Amend the displaying mode of profile, mark the position in image while the mouse moving on the graph.

4. Compatibility with M4 thermal camera

5. Can copy image to the clipboard

6. Can amend the emmissivity, humidity and etc. of image

7. Can set the saved path of image, report and profile

8. Amend report, analysis report page will not display on the end

9. Add Firewire1394 video function

10. Add video re-play funciton

11. Infrared video real-time temperature measurement

12. Display the maximum temperature position. The mouse is at the maximum temperature point when open the image

13. Add image and area histogram function

14. Delta two function

15. TrackView

16. Video capture function, save image as .IRI file

17. Compatible with new fomat of 928, no need to replace temperature curve for this kind of models

Version 1.3 (2005.4.5)

1. Polygon temperature measurement

2. Improvements on report Wizard

3. Integrate Word into the program as a report editor

4. Compatibility with IR928+ thermal camera

Version 1.2 (2005.2.25)

1. Feedback information

2. Thumbnail images displayed when opening a file.

3. Preview profile

4. Adjust brightness and contrast of image via doulbe click the image

5. Files of IMG &IRI are related

6. Tip of the day

7. CRC verifications to files

8. Display delta two difference


File menu commands

The File menu offers the following commands

Open Image | Opens an existing document.
Save | Save an opened document.
Save Image as | Save thermal image as ordinary image format file.
Close | Closes an opened document.
Report | Report operation
Export to File | Export data to file.
M4 Device | Operations of M4.
Exit | Exits IrAnalyser.exe.


Filters Menu Command

Filter function is designed to add special effect to image and intensified real effect of image.

“Filters”menu provides following commands:

Blur | Get fuzzy effect of image
Emboss | Get emboss effect of image
Gaussian | Get smooth image
Soften | Get soft image
Sharpen | Get sharp image
Edge | Get the image edge intensified
Median | Get the image median filtered, let it become soft
Add Noise | Add noise to image
Erode | Get erosive effect of image
Dilate | Get inflated effect of image
Contour | Display image contour
Jitter | Get agitating effect of image

Blur

->

Emboss

->

Gaussian

->

Soften

->

Sharpen

->

Edge

->

Median

->

Add Noise

->

Erode

->

Dilate

->

Contour

->

Jitter

->


Image menu

Image

Image menu provides the following commands:

Palette | Choose the palettes
Rotate | Rotate the image
Mirror | Display horizontal and vertical mirror images of an opening image file
Zoom | Change proportion of the image
Zoom In | The cursour will be in status of zoom in. Click on the image to zoom in by 10%
Zoom Out | The cursour will be in status of zoom out. Click on the image to zoom out by 10%
Hand | Press the left button of the mouse and drag it to browse the image
Set Cursor | Choose big or small cursor
Actual Size | Resume the original size of an opening image file window
Gauge Setting ... | The mapped relation between temperature adjustment and palette
Show Visual Image | Open or close the visual image
Play Sound | Play voice annotation saved together with the image
Property | Display the relative properties of thermal image.


Measure menu commands (Infrared Image)

Measure menu provides the following commands:

Temp Unit | Temperature unit that is selected.
Show MaxTemp Pos | Display or hide the location of max temperature point
Show Profile | Display profile of every spots on the line
Isotherm.... | Set isotherm display target
Histogram | Statistical histogram
Add Spot | Add a spot on the image
Add Line | Add a line on the image
Add Polygon Line | Add a polygonline on the image
Add Rectangle | Add a rectangle on the image
Add Circle | Add a circle on the image
Add Polygon | Add a polygon on the image
Add Delta Two | Add objects for delta two analysis on the image
Combination | Create combined object based on existing area objects
Delete Object | Clear all the commands on the image
Delete All Objects | Delete all measured objects.


View Menu

View

View menu provides the following commands:

Toolbar | Display or hide toolbar
Status Bar | Display or hide status bar
Palette Bar | Display or hide palette bar
Dataview Bar | Display or hide dataview bar
Information Bar | Display or hide information bar
Language | Change the current language
Cursor | To use big cursor or small cursor
Zoom In | When the mouse is in zoom in status, click on the image to zoom in the image by 10%
Zoom Out | When the mouse is in zoom out status, click on the image to zoom out the image by 10%
Hand | Keep the left button of the mouse depressed and drag the image, change the location of the image so as to browse it.


Window menu commands

The Window menu offers the following commands, which enable you to arrange multiple views of multiple documents in the application window:

Arrange Icons | Arranges icons of minimized windows.
Window 1, 2, ... | Goes to specified window.


Help menu commands

The Help menu offers the following commands, which provide you assistance with this application:

Help Topics | Offers you an index to topics on which you can get help.
Something new | Display the newly improvements of the software.
Do you know | Display Do you know clew.
Errors report | Feedback the problems of the software.
Contact us | Send emails to us.
About | Displays the version number of this application.


Operation on measuring object

Revise/Move | Change the size, location, or property of the object
Add Point | Add a point on the image
Add Line | Add a line on the image
Add Rectangle | Add a a rectangle on the image
Add Circle | Add a circle on the image
Add Polygon | Add a a polygon on the image
Add Delta-two | Add a couple of points on the image to measure the delta-T of two points
Delete Object | Delete a specific object
Delete All Objects | Delete all objects


Video menu commands

Video menu provides following commands:

Palette | Select paletter for image
Auto Adjustment t | Select automatical or manual image adjustment
Tem p Range... | Adjust mapping relationship between temperature and palette.
IR220 Control | IR220 related commands.
IR130 Control... | IR130 related operation.
Capture Image | Capture and save certain image from video
Play | Play infrared video file.
Pause | Pause currently video play.
Forward | Pause and go forward one frame.
Backward | Pause and fall back one frame.
Video Recording | To record the video captured by infrared camera.


Measure menu commands (Infrared video)

Measure menu provides the following commands:

Temp Unit | Temperature unit that is selected.
Show Max Temp Pos | Display or hide the location of max temperature point
Show TrackView | Display TrackView window
Isotherm | Set isotherm display target
Histogram | Statistical histogram
Add Spot | Add a spot on the image
Add Line | Add a line on the image
Add Rectangle | Add a rectangle on the image
Add Circle | Add a circle on the image
Add Polygon | Add a polygon on the image
Add Delta Two | Add objects for delta two analysis on the image
Delete Object | Clear all the commands on the image
Delete All Objects | Delete all measured objects.


View menu commands

The View menu offers the following commands:

Toolbar | Shows or hides the Toolbar.
Status bar | Shows or hides the Status Bar.
Palette bar | Shows or hides the Palette Bar.
DataView bar | Shows or hides the DataView Bar.
Information bar | Shows or hides the Information Bar.
Language | To switch between current language and another language.


Report menu commands

Generate a new report or open an existing report

Report menu provides the following commands:

Select Image... | Select an image(s) related to the report
Insert Property | Insert property of a thermal image to the report
Insert Thermal Image | Insert a thermal image to the cursor position in the report
Insert Visual Image | Insert the visual image corresponding to the thermal image to the cursor position in the report
Insert Profile | Insert a line profile to the cursor position in the report
Insert Analysis Table | Insert analysis results of the thermal image to the cursor position in the report and arrange them as a table
Insert Analysis Results | Insert analysis results of some measured objects of the thermal image to the cursor position in the report and arrange them as tables


(工具栏)

Toolbar

The toolbar is displayed across the top of the application window, below the menu bar. The toolbar provides quick mouse access to many tools used in the application.

To hide or display the toolbar, click Toolbar from the View menu.

Open image file.
Save opened file.
Select measurement object.
Add a spot.
Ass a line.
Add a rectangle.
Add a circle.
Add a polygon.
Add delta-two.
Delete object on the image.
Move the location of zoomed in image.
Zoom in image.
Zoom out image
Display histogram.
Display profile of line.
Display or hide palette.
Display about window.
Display about help.


GaugeBar

Display the mapped relation between temperature adjustment and palette.


Status Bar

The status bar is displayed at the bottom of the IrAnalyser window. To display or hide the status bar, use the Status Bar command in the View menu.

The left area of the status bar describes actions of menu items as you use the arrow keys to navigate through menus. This area similarly shows messages that describe the actions of toolbar buttons as you press them, before releasing them. If after viewing the description of the toolbar button command you wish not to execute the command, then release the mouse button while the pointer is off the toolbar button.


DataView Bar

Display the temperature measurement result of the objects added to the current image


Palette Bar

Select different pseudo color for thermal image. Move mouse to the different palettes, the current image will be displayed with the corresponding palette. Move the cursor out of this area, palette of the image will revert. To select one palette, clicking it by left button of mouse to confirm.


快捷键

IrAnalyser provides the following shortcut keys：

Delete | Delete selected meaurement object
Ctrl+C | Copy image
Ctrl+S | Save file
S | Add spot
L | Add line
C | Add circle
R | Add rectangle
D | Add delta-two
P | Add polygon
H | Browse
Ctrl+A | Image property
Ctrl+P | Play voice annotation if any
Ctrl+ '+' | Zoom in image
Ctrl+ '-' | Zoom out image
Alt | Switch between zoom in mode and zoom out mode
Space Bar | Browse image
Alt+ mouse slide wheel | Zoom in/ zoom out image
F1 | Help


File Open dialog box

The following options allow you to specify which file to open:

File Name

Specifies the file you want to open. This box lists files with the extension you select in the List Files of Type field.

List Files of Type

Specifies the type of file you want to open:

Drives

Specifies the drive in which IrAnalyser stores the file that you want to open.

Directories

Specifies the directory in which IrAnalyser stores the file that you want to open.

Network

Click this button to connect to a network location, assigning it a new drive letter.


Save ("File" menu)

It is used to save the live document in current name and catalog.

If the current opened file is IMG format, a clew of whether save it into IRI format will appear when save the file.

Notice: Temperature measurement information could not be saved if in IMG format.


No Help Available

No help is available for this message box.


(停靠工具栏区域)

Docking Toolbar Area

This area is provided to contain dockable toolbars, such as the default toolbar created for the application. Docking toolbars can be dragged onto or off this client area, and arrange themselves according to the space available.


Combination

Combination Command

Use this command to combine two areas to create a new object via set operation.

Combination Command offers functions as follow:

Intersection | Create a combination object via intersection operation
Subtract | Create a combination object via difference set operation
Merge | Create a combination object via union operation
No-overlap | Create a combination object via exclusive-or operation
Decompose | Decompose the combination object


Cursor

Cursor (View menu)

Use to this command to choose the models of cursor.

Large | The large cursor will be displayed when the mouse shifts on the image. The size of the cursor accounts for one pixel of the image. The size of the cursor alters together with the image.
Small | Standard cursor.


Delta-Two Property

Revise the property of Delta-two. Double click on the delta-two to bring up the dialogue below:

Revise the property of delta-two and press OK to confirm the revision. Name, color and color of transparency of delta-two can be revised.

Emissivity After revision on the emissivity, the customized emissivity will be used for temperature calculation.


Infrared Video menu commands

Video menu commands

Infrared video menu offers the following commands:

From Firewire1394... | Open infrared video from the Camera 1394 connected with
Open Film... | Open the video file from recording

From Firewire1394...

Get video current via the communication connected between Firwire1394 of PC and infrared camera. Different cameras may be connected with the Firwire1394. Execute this command and trigger a dialog box to select the model no. of infrared cameras connected with.

If you can't open the camera, please check whether the connection is ok or not.

From video file...

Execute this command to trigger a dialogue box, select infrared . IRV file. The application program will play this file.


Add circle

Add Circle command (Measure menu )

The operation status will be changed into add circle. Keeping left button of the mouse depressed and dragging the mouse will draw a red circle on the image. Release the left button, the circle will be confirmed.

After a circle is confirmed, the image changes to be as follows:

The circle is selected when small square icons appear on it

The average temperature of the circle will be displayed in DataView Bar. Please refer to:DataView Bar.


Add line

Add line command (Measure menu )

Use this command to add a line to the current image for analysis. Keeping left button of the mouse depressed and dragging the mouse will draw a red line on the image. Release the left button, the line will be confirmed.

Image below shows a line has been added to it:

Two small squares at the two sides of the line indicate the line has been selected.

Temperature of the line is displayed in the DataView Bar. Please refer to:

DataView Bar


Add spot command

Add spot command (Measure menu)

Use this command to add a spot to the current image for analysis. Clicking left button of the mouse within the image will add a spot to it.

Image below shows a spot has been added to it:

Four small rectangles around the spot indicate the spot has been selected.

Temperature of the spot is displayed in the DataView Bar. Please refer to:

DataView Bar


Add rectangle

Add rectangle command (Measure menu)

Use this command to add a rectangle to the current image. Keep the left button of the mouse depressed and drag the mouse will draw a red rectangle on the image. Release the left button of the mouse will confirm the rectangle.

Image below shows a rectangle has been added to it:

Six small rectangles stay at the frame of the added rectangle, indicating it has been selected.

The temperature of the rectangle is displayed in DataView bar. Please refer to:

DataView Bar


Add Delta Two

Add Delta Two command (Measure menu)

The operation state will be changed into Add Delta Two, keep the left button of the mouse depressed to display a red X, keep the mouse dragged will draw two red X connected with dashed on the image, release the left button of the mouse will confirm the Delta two object on the image.

After a delta two object is added, the image changes to be as follows:

The Delta two objects are selected when small squares appear on them

The temperature of the delta two will be displayed in DataView bar. Please refer to: DataView Bar


Add Polygon

Add Polygon command (Measure menu)

The operation state will be changed into Add polygon, keep the left button of the mouse depressed and dragged will draw a red polygon on the image, release the left button of the mouse will confirm the polygon on the image.

After a polygon is added, the image changes to be as follows:

The polygon is selected when small squares appear on it

The average temperature of the polygon will be displayed in DataView bar. Please refer to: DataView Bar


About command

About command (Help menu)

Use this command to display the copyright declaration and the version number of your IrAnalyser duplication.


Exit Command (File menu)

Use this command to end your IrAnalyser session. You can also use the Close command of the application control menu. IrAnalyser will prompt you to save the document with unsaved changes.


Auto Adjustment command

 Auto Adjustment (Video Menu)

To choose adjust image color automatically or manually.

Auto adjustment: the system mapped every image to the appointed pseudo color according to its temperature.

Manual adjustment: mapped the temperature range to the appointed palette via appointing the maxium and minimum temperature, then the image will be displayed. User can observe the image of appointed temperature range via manual adjustment.

Manual adjustment is to adjust temperature range. The image will be under manual mode after adjusting the temperature. Execute this command to return to auto mode.

Refer to: Adjust temperature range


Context help command

Use this command to obtain help on some portion of IrAnalyse.When you choose the Context help button on the toolbar, the mouse pointer will change to an arrow and question mark. Click certain place in the window of IrAnalyser(e.g another toolbar button). such as another toolbar button. The help topic will be shown for the item you clicked.


Delete object command

Delete object command(Measure menu)

The operation state will change to delete an object.Move the mouse to the object you want to delete.The mouse cursor will vary among different objects to be deleted.click the left button of the mouse to delet the object.


Export File command(File menu)

Export the AD value of each point of IR image into raw file or txt file.


Close command (File menu)

Use this command to close all the windows including the active document


1, 2, 3, 4 command (File menu)

Use the numbers and file names listed in the bottom of the file menu to open the last 4 documents closed. Choose the number according to the document to be opened.


Open Command

Open Command (File menu)

Use this command to open the current document in a new window. Multiple documents can be opened at one time. Use menu window to switch among the multiple opening documents. Please refer to Window 1, 2, ... command.


Save command

Save command (File menu)

Use this command to save the active document as the current name and directory.

If the opening file is of IMG format, it will prompt you whether to save it of IRI format file when saving.

Note: The data of temperature measurement will not be saved when using IMG format.


Save image as command

Save image as command (File menu)

Save the current infrared image in format of BMP or JPG so as to browse the image with other programs.

Temperature measurement can not be done on the BMP or JPG infrared image.


Setup command

Setup command (File menu)

Use this command to display a property dialog to amend some settings of software.

Thermal Image Setup (property dialog is as follow):

Thermal Image | Set the directory of opening thermal image.
Report Template | Set the directory of template files.
Report Saved | Specify the directory of saving report.

Video Setup:

Film | Set the directory of recorded video file.
Capture Saved | Set the directory of a captured image from video.
Open image when capture an image from video | To choose whether open the image after capturing.
Default | Set default palette of video file.
Update Track | Set interval time of update track.


Report command (File menu)

Generate Report command (File menu)

Run this command to generate a word report by following the report wizard.


Index command (Help menu)

Use this command to display the opening screen of help. From the opening screen, you can jump to step-by-step instructions for using IrAnalyser Application and various types of reference information.

Once you open help, you can click the Contents button whenever you want to return to the opening screen.


Using Help command (Help menu)

Use this command for instructions about using help.


Title Bar

The title bar is located along the top of a window. It contains the name of the application and document.

To move the window, drag the title bar. Note: You can also move dialog boxes by dragging their title bars.

A title bar may contain the following elements:

Application Control menu button

Document Control menu button

Maximize button

Minimize button

Name of the application

Name of the document

Restore button


No Help Available

No help is available for this area of the window.


Palette command

Palette command ( Image menu )

Select a palette for the current image

Nine palettes as follows are available.


Actual Size command

Actual Size command (Image menu)

Drag the window to zoom in or out the image. Run this command to recover the window to original.


Gauge Setting

Gauge Setting (Image menu)

Choose this command to get the dialogue displayed below. Adjust the mapped relation between temperature adjustment and palette so as to adjust the brightness of the image.

Auto Resume to the original status

Preview When chooseing preview, the modification of the gauge will be displayed on the image immediately; If it isn't chosen, the modification will not display.

Cancel Cancel the modification

OK Apply the modification


Attribute command

Attribute command (Image menu)

Display attributes of the image and some revisions can be done on the attributes.


Information Bar

Display information of the current image, such as cursor temperature, Max temperature, and etc.

While moving the mouse within the image, coordinates and temperature of the spot where the mouse lies will be displayed in the Info bar.


Isotherm... command (Measure menu)

Use this command to modify the Isotherm Setting, you can modify via the dialog box as follows.

To add an isotherm object. The isotherm object added will be displayed in the list bar.

To delete the isotherm object selected in the list bar.

Choose the colour for the isotherm via the pull down menu.

Isotherm To display image of specified color in the specified temperature range. Take the image above for example, Isotherm-0, the pixels within the temperature range of 29-29.8oC will be displayed with the specified color.


Insert Analysis Result command

Insert analysis results of some measured objects of a thermal image to the report and arrange the results in tables.

¡¡


Select image command

Select image command (Report menu)

When editing the report, different files such as IR image, analysis result, image property, etc can be inserted. When more than one image are available, a specific image shall be selected as the default one.

When many images are opened, run this command to get the below dialogue:

¡¡

Select the image to be operated on and press OK to confirm.


Display profile command

Display profile command (Measure menu)

Display temperature profile of the line. Displayed as follows:

Choose "Save image as" to save the image in format of BMP or JPG.


Next Pane

Switch to the next window.


Select and modify object

Select and modify measure object

Selecting [image] from the toolbar can modify a measuring object added to the current image. Moving it, modifying its size and property all available.

Spot

Line

Rectangle

Circle

Polygon

Delta-Two

Spot

Move

Move the mouse to a point, the mouse cursor will change to be [image], indicating the spot is moveable. To move the spot, Keep pressing left button of the mouse and drag the mouse to any desired place, then release the left button to confirm the place.

Modify property

Place the mouse on a point, then double click left button of the mouse to get dialog box Point Property. Now you can modify the property by changing items in the dialog box.

Line

Move

Move the mouse to a line, the mouse cursor will change to be [image], indicating the line is moveable. To move the line, Keep left button of the mouse depressed and drag the mouse to a place where you want to place the line, then release the left button to confirm the place.

Change location

Move the mouse to one end of the line and the mouse cursor will change to be [image]. Keep pressing left button of the mouse and drag the mouse to a desired place, then release the left button to confirm the place. Now the location of the end of this line is changed.

Modify property

Place the mouse on a line, then double click left button of the mouse to get dialog box Line Property. Now you can modify the property by changing items in the dialog box.

Rectangle

Move

Move mouse in the rectangle and the cursor will change into [image] ，indecating the rectangle is moveable. Click left key of mouse, move rectangle to the right place and release the key. The rectangle is moved to the target location.

Change size

Move mouse to a certain side of the rectangle and the cursor will change into a arrow, pointing at corresponding direction. Click left key of mouse, the area will alter continuously. Release the key and the size of the rectangle is changed.

Modify property

Double click left key of mouse in the rectangle, dialog box of Rect Property will appear. User can modify the property of the rectangle.

Circle

Move

Move mouse in the circle and the cursor will change into [image] ，indecating the circle is moveable. Keep pressing left key of mouse, move circle to the right place and release the key. The circle is moved to the target location.

Change size

Move mouse to edge of the circle and the cursor will change into a arrow, pointing at corresponding direction. Keep pressing left key of mouse, the area will alter continuously. Release the key and the size of the circle is changed.

Modify property

Double click left key of mouse in the circle, dialog box Circle Property will appear. User can modify the property of the circle.

Polygon

Move

Move mouse in the polygon and the cursor will change into [image] ，indecating the polygon is moveable. Keep pressing left key of mouse, move polygon to the right place and release the key. The polygon is moved to the target location.

Change size

Move mouse to edge of the polygon and the cursor will change into a arrow, pointing at corresponding direction. Keep pressing left key of mouse, the area will alter continuously. Release the key and the size of the polygon is changed.

Modify property

Double click left key of mouse in the polygon, dialog box Polygon Property will appear. User can modify the property of the polygon.

Delta-Two

Move

Move the mouse to either of the point and the mouse cursor will change to be [image]. Keep pressing left button of the mouse and drag the mouse to a desired place, then release the left button to confirm the place. Now the location of the end of this point is changed.

Modify property

Double click left key of mouse on either of the point, dialog box Delta-Two Property will appear. User can modify the property of the delta-two.


Play sound command (Image menu)

Play the voice annotation saved with the infrared image.

Some infrared images comes with voice annotation. "Play sound" is only applicable when voice annotation is saved with the infrared image.


Prev pane

Shift to previous window.


Insert Property command

Insert Property command (Report menu)

Insert the below items to the cursor position in the report:

Property table | Insert the thermal image property in the format of table
Emissivity | Insert emissivity used to take the thermal image
Humidity | Insert the humidity when taking the thermal image
Distance | Insert the distance away from the target shown in the thermal image
Ambient | Insert ambient temperature when taking the thermal image
Max Temp | Insert the Max temp of the thermal image
Min Temp | Insert the Min temp of the thermal image
Created time | Insert the time when taking the image
Remark | Insert remarks for the thermal image
File name | Insert name of the thermal image


Report Command

Report menu commands

Commands of report menu

New | Create a new report.
Open... | Open an existing report (Word format).
Report Wizard... | Create a new report by following report wizard.


New command (Report menu)

Create a new Word document to edit a report.

¡¡


Open Report command (Report menu)

Open command (Report menu)

Use this command to open an existing report.


90 CCW command (

90 CCW command (Rotate menu)

Rotate the image 90°counter clockwise

Source image：

Image after rotate：


90 CW command (Rotate menu)

Rotate the image 90°clockwise

Source image：

Image after rotate：


Close command (Control menus)

Use this command to close the active window or dialog box.

Double-clicking a Control menu box is the same as choosing the Close command.

Note: If you have multiple windows open for a single document, the Close command on the document Control menu closes only one window at a time. You can close all windows at once with the Close command on the File menu.


Maximize command (System menu)

Use this command to enlarge the active window to fill the available space.


Minimize command (application Control menu)

Use this command to reduce the <<IrAnalyser>> window to an icon.


Move command (Control menu)

Use this command to display a four-headed arrow so you can move the active window or dialog box with the arrow keys.

Note: This command is unavailable if you maximize the window.


Next Window command (document Control menu)

Use this command to switch to the next open document window. <<IrAnalyser>> determines which window is next according to the order in which you opened the windows.


Previous Window command (document Control menu)

Use this command to switch to the previous open document window. <<IrAnalyser>> determines which window is previous according to the order in which you opened the windows.


Restore command (Control menu)

Use this command to return the active window to its size and position before you chose the Maximize or Minimize command.


Size command (System menu)

Use this command to get a four-headed arrow and then adjust the size of active window with the arrow keys.

After the mouse changes to be a four-headed arrow:

1. Press one of the four arrow heads (left, right, up or down) to move the mouse to the window side needing to be moved.

2. Press the four arrow heads to move the side.

3. Press Enter key in the keyboard to confirmed the size change.

Note: This command is unavailable if you maximize the window.


Switch to Command (Application Control Menu)

Use this command to display a list of all opened applications. And then to switch to or close certain applications.

Dialog box options

When you choose Switch to command, a dialog with following options will display:

Task list

To appoint switch to or close certain application.

Switch to

To activate selected application.

End task

To close selected application.

Cancel

To close task list dialog box.

Cascade

To arrange multiple opened windows in an overlapped fashion. Every title bar can be seen. This function will not affect the applications which has been minimized into a icon.

Tile

To arrange multiple opened windows in a non-overlapped fashion. This function will not affect the applications which has been minimized into a icon.

Arrange icons

Arrange all the minimized application icons along the bottom of screen.


Show Visual Image command

Show Visual Image command (Image menu)

Open or close the visual image corresponding to a certain thermal image. This command is only available for thermal images with visual image stored.

¡¡


Show MaxTemp Pos command (Measure menu)

Use this command to show the maximum temperature spot of the image. The position will be displayed as an X in the color of the minimum temperature of the image.


Show TrackView commands (Video Meausure menu)

Add point on video display, the temperature varying curve will display in TrackView correspondingly. This command is made to display or hide TrackView window.


Backward

¡°Backward¡±Command

Make the video go backward by one frame when playing video.


Caputre

Video capture command

Save the current image as an IRI file when play infrared video. The file will be kept in the appointed directory path. The application system will open this IRI file when the system setup is video capture


Frame Forward

Frame Forward command

Make the video go forward by one frame when playing video.


Pause

Pause Command

To pause infrared video.

If in pause status then it will switch to playing status by this command


Paly

Play command

To play infrared video. If it is play mode, performe this command to change it to pause mode.


Record

Record command

The video captured by infrared camera can be recorded by performing this command and can be saved in appointed directory. The default saving directory is in the sub-directory of capture under installation directory. Computer system will denominate the video file automatically.

Perform this command again after stopping record.


Status Bar

Status Bar command (View menu)

Use this command to display and hide the status bar, which describes the action to be executed by the selected menu item or pressed toolbar button, and keyboard latch state. A checkmark appears next to the menu item when the status bar is displayed.

See Status Bar for help on using the status bar.


Toolbar command (View menu)

Use this command to display and hide the toolbar, which includes buttons for some of the most common commands in IrAnalyser application, such as File Open. A checkmark appears next to the menu item when the toolbar is displayed.

See Toolbar for help on using the toolbar.


1, 2, ... Command (Window menu)

IrAnalyser displays a list of currently open document windows at the bottom of the Window menu. A checkmark appears in front of the document name of the active window. Choose a document from this list to make its window active.


Arrange Icons command

Window -> Arrange Icons command

Use this command to arrange the icons for minimized windows at the bottom of the main window. If there is an open document window at the bottom of the main window, then some or all of the icons may not be visible because they will be underneath this document window.

¡¡


Cascade command (Window Menu)

Use this command to arrange multiple opened windows in an overlapped fashion.

¡¡


Tile command (Window menu)

Use this command to arrange multiple opened windows in a non-overlapped fashion.


Tile Horizontal command (Window menu)

Use this command to vertically arrange multiple opened windows in a non-overlapped fashion.


Tile Vertical command (Window menu)

Use this command to arrange multiple opened windows side by side.


Polygon Property

D ialog box of polygon property

Double clicking on a polygon will get this dialogue box to modify property of the polygon.

¡¡

Modify name, color, color transparence and etc of the polygon. Clicking on button OK will confirm the modification.

Show max position: Choosing it will allow the program to display the position of the point with Max temperature, indicating by *

Show min position: Choosing it will allow the program to display the position of the point with Min temperature, indicating by +

Show temperature on image: Choosing it will allow the program to display average, Max or Min temperature reading of the polygon on the image

Emissivity: Temperature reading of the polygon will be changed with emissivity value. Calculation is automatically performed.


Image Window

Display the opened image. Each infrared image can be displayed with different pseudo colors. Choose palette from image menu so as to change the pseudo color or choose from Palette window.

Different temperature measurement objects can be added to the image. The measuring result will be shown in DataView Bar.

For operation on temperature measurement, please refer to operation manual on measurement


Histogram command

Histogram command (Measure menu)

This command includes 2 sub-commands as follows:

Image Histogram | Display the temperature information of the image by histogram
Other Histogram... | Display the temperature information of a measurement object (line?rectangle?circle?polygon) by histogram

The histogram is as follows:

The horizontal axis represents the percentage, the vertical axis represents the temperature. The diamonds of the area display the percentage of certain temperature range. When the mouse moves on the image, the percentage of this temperature will be displayed.

Click the left button of the mouse on the histogram to display a menu, which is as follows:

Copy | Copy images to the clipboard.
Setting | Modify the parameters of the Histogram Settings
Save as... | Save the histogram to be BMP、JPEG file.
Close | Close the histogram

Setting

Use this command to display the dialog box as follows:

Background Color | Choose the background colour of the image.
Graph Colour | To choose the colour of the coordinates、characters and others of the graph.

Other Histogram

Display the temperature information of line、rectangle、circle、polygon by histogram. Use this command to display the dialog box as follows, select a measurement object.

Select the object and press the view button to display the relative histogram.


Add Polygon Line Command

Add Polygon Line command (Measure menu )

Use this command to add a line to the current image for analysis. Clicking left button of the mouse on the image continuously to add spots to it. All the spots will be linked to polygon line. Double-click the left button, the line will be confirmed.

Image below shows a line has been added to it:

Small squares at each end of the line indicate the line has been selected.

Temperature of the line is displayed in the DataView Bar. Please refer to:

DataView Bar


Combination---Decompose

Decompose Command (Combination Menu)

Use this command to decompose the combined object.

Example:

Image below shows a combined object created by RT1 and A1 via Not overlap operation.

After Decompose Command, R1 is decomposed into RT1 and A1.

¡¡


Delete all measured objects (

Delete all measured objects (Measure Menu)

Delete all measured objects in the image.


Intersection

Intersection command (Combination menu)

Selecting one area object to activate this command. To perform this command, selecting the desired target area objects to bring out a combined object.

For example:

Image below shows that there are two areas: RT1 and A1. Perform intersection command to RT1 and A1.

The result shows as follows:

R1 is the new area object after combination.

¡¡


Combination---Subtract

Subtract Command (Combination Menu)

Select an area to make this function available. Use this command and select the desired object to create a combination.

Example£º

Image below shows two areas RT1 and A1, and use difference set operation to them.

R1 is the combination after difference set operation

¡¡


Combation---Merge

Merge Command (Combination Menu)

Select an area to make this function available. Use this command and select the desired object to create a combination.

Example£º

Image below shows two areas RT1 and A1, and use Merge operation to them.

R1 is the combination after Merge operation

¡¡


Not Overlap

Not Overlap Command (Combination Menu)

Select an area to make this function available. Use this command and select the desired object to create a combination.

Example£º

Image below shows two areas RT1 and A1, and use Not overlap operation to them.

R1 is the combination after Not overlap operation

¡¡


IR220 control

IR220 control command

This command is available once the camera connected with Firewire 1394 is IR130 series. This command will bring up the following dialogue box

Setup relative parameters of IR130 via this dialogue box. Do not change the parameters at will, as it will influce the measurement accurancy.


IR220 control command

The following command is available if the camera connected with the interface of Firewire 1394 is IR220

Calibration (F2) | Send calibration command to the camera
Filter 1 | Inform the camera switch to Filter 1
Filter 2 | Inform the camera switch to Filter 2
Near Focus (F3) | Press F3 continously to adjust near focus, stop adjusting by releasing the bottom
Far Focus (F4) | Press F4 continously to adjust far focus, stop adjusting by releasing the bottom


Device Manager command (File menu)

Device Manager... Administer files of M4

It is available when connect with M4 for copy and delete of files in M4.


Dialog box of circle measurement object property

To revise the property items in the dialogue, press "OK" and then the revision on the property is confirmed. The name, color, and transparence of the circle can be changed.

To revise the property items in the dialogue, press "OK" and then the revision on the property is confirmed. The name, color, and transparence of the circle can be changed.

If "Show max temperature" is chosen, the max temperature spot in the circle will be displayed on the image. It is showed as "*".

If "Show min temperature" is chosen, the min temperature spot in the circle will be displayed on the image. It is showed as "+".

If "Show temperatures" is chosen, the average/max/min temperaure spots will be displayed.

Emissivity Change emissivity and calculate temperature with customized emissivity.

¡¡


Dialog box of line measure object property

Used for adjusting the property of the line. Double click on the circle to get the dialogue box.

To revise the property items in the dialogue, press "OK" and then the revision on the property is confirmed. The name, color, and transparence of the line can be changed.

If "Show max temperature" is chosen, the max temperature spot on the line will be displayed on the image. It is showed as "*".

If "Show min temperature" is chosen, the min temperature spot on the lin will be displayed on the image. It is showed as "+".

If "Show temperatures" is chosen, the average/max/min temperaure spots will be displayed.

Emissivity Change emissivity and calculate temperature with customized emissivity.


Dialog box of measure point property

Used for adjusting the property of the spot. Double click on the circle to get the dialogue box

To revise the property items in the dialogue, press "OK" and then the revision on the property is confirmed. The name, color, and transparence of the spot can be changed.

Emissivity Change emissivity and calculate temperature with customized emissivity. Emissivity could be customized different from the property of the image to calculate the temperature.


Dialog box of rect measure object propert

Dialog box of rect measure object property

Used for adjusting the property of the Rectangle. Double click on the circle to get the dialogue box

To revise the property items in the dialogue, press "OK" and then the revision on the property is confirmed. The name, color, and transparence of the rectangle can be changed.

If "Show max temperature" is chosen, the max temperature spot in the rectangle will be displayed on the image. It is showed as "*".

If "Show min temperature" is chosen, the min temperature spot in the rectangle will be displayed on the image. It is showed as "+".

If "Show temperatures" is chosen, the average/max/min temperaure spots will be displayed.

Emissivity Change emissivity and calculate temperature with customized emissivity. Emissivity could be customized different from the property of the image to calculate the temperature.


Mirror

Mirror menu command

Mirror menu provides following commands:

Horizontal | Mirror the image horizontally
Vertical | Mirror the image vertically

Horizontal

Exchange the left and right part centrosymmetrically.

->

Vertical

Exchange the upper and bottom part centrosymmetrically.

->


Temperature unit

Temperature unit (Measure Menu)

Select Centigrade or Fahrenheit be to the temperature unit.


Zoom menu

Zoom menu command

Zoom menu provides following commands:

50% | Image zooms out by 50%
100% | Image comes back to the actual size
150% | Image zooms in by 150%
200% | Image zooms in by 200%
300% | Image zooms in by 300%
400% | Image zooms in by 400%
500% | Image zooms in by 500%
Custom | Self-define the zoom multiple

Custom

User self-defines the zoom multiple. Dialog following will appear when selecting this command.

Fill in the desired multiple and click Ok to run the command.


Rorate

Window menu commands Rorate

Rotate menu commands

The rotate menu offers the following commands

Rotate CCW | Rotate image CCW.
Rotate CW | Rotate image CW.